complexType "CancelableProvision"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 10 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | buyerPartyReference?, buyerAccountReference?, sellerPartyReference?, sellerAccountReference?, exercise?, exerciseNotice?, followUpConfirmation?, cancelableProvisionAdjustedDates?, finalCalculationPeriodDateAdjustment*, initialFee?
</...>

Content Model Elements (10):

  buyerAccountReference, buyerPartyReference (defined in BuyerSeller.model group), cancelableProvisionAdjustedDates, exercise, exerciseNotice (in cancelableProvision), | finalCalculationPeriodDateAdjustment, followUpConfirmation (in cancelableProvision), initialFee, sellerAccountReference, sellerPartyReference (defined in BuyerSeller.model group)

All Direct / Indirect Based Elements (1):

  cancelableProvision

Known Usage Locations

- As direct type of elements (1):
  cancelableProvision

Annotation
For use with pretrade Credit Limit Check messages. A type defining the right of a party to cancel a swap transaction on the specified exercise dates. The provision is for 'walkaway' cancellation (i.e. the fair value of the swap is not paid). A fee payable on exercise can be specified.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="CancelableProvision"> <xsd:sequence> <xsd:group ref="BuyerSeller.model"/> <xsd:element minOccurs="0" ref="exercise"/> <xsd:element minOccurs="0" name="exerciseNotice" type="ExerciseNotice"/> <xsd:element minOccurs="0" name="followUpConfirmation" type="xsd:boolean"/> <xsd:element minOccurs="0" name="cancelableProvisionAdjustedDates" type="CancelableProvisionAdjustedDates"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="finalCalculationPeriodDateAdjustment" type="FinalCalculationPeriodDateAdjustment"/> <xsd:element minOccurs="0" name="initialFee" type="SimplePayment"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/10)
cancelableProvisionAdjustedDates

  Type: | CancelableProvisionAdjustedDates, complex content

  The adjusted dates associated with a cancelable provision. These dates have been adjusted for any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cancelableProvisionAdjustedDates" type="CancelableProvisionAdjustedDates"/>

exercise

  Type: | Exercise, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 3 elements

  XML Source (see within schema source)

  <xsd:element minOccurs="0" ref="exercise"/>

exerciseNotice

  Type: | ExerciseNotice, complex content

  Definition of the party to whom notice of exercise should be given.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exerciseNotice" type="ExerciseNotice"/>

finalCalculationPeriodDateAdjustment

  Type: | FinalCalculationPeriodDateAdjustment, complex content

  Business date convention adjustment to final payment period per leg (swapStream) upon exercise event. The adjustments can be made in-line with leg level BDC's or they can be specified seperately.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="finalCalculationPeriodDateAdjustment" type="FinalCalculationPeriodDateAdjustment"/>

followUpConfirmation

  Type: | xsd:boolean, predefined, simple content

  A flag to indicate whether follow-up confirmation of exercise (written or electronic) is required following telephonic notice by the buyer to the seller or seller's agent.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="followUpConfirmation" type="xsd:boolean"/>

initialFee

  Type: | SimplePayment, complex content

  An initial fee for the cancelable option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="initialFee" type="SimplePayment"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.